package org.jeecg.modules.api.service;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.api.bean.CaseBean;


public interface WebApiService {

    //获取首页基础信息
    Result<?> getIndexInfo();


    //获取首页服务类型
    Result<?> getIndexMiddleInfo();


    //获取首页项目案例
    Result<?> getIndexProjectInfo();


    //获取首页底部电话有限地址
    Result<?> getIndexPhoneInfo();


    //关于我们
    Result<?> getAboutUsInfo();


    //案例展示
    Result<?> getCaseShowInfo(CaseBean caseBean);


    //我的团队
    Result<?> getMyTeamInfo();


    //留下您的姓名电话
    Result<?> leaveYourNamePhone(String name,String phone);


}
